Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.algorithm
Class PointLocator

    java.lang.Object
      com.vividsolutions.jts.algorithm.PointLocator

    public class PointLocator

extends java.lang.Object

Computes the topological (`Location`) of a single point to a `Geometry`. A `BoundaryNodeRule` may be specified to control the evaluation of whether the point lies on the boundary or not The default rule is to use the the SFS Boundary Determination Rule

Notes:

- `LinearRing`s do not enclose any area - points inside the ring are still in the EXTERIOR of the ring.

Instances of this class are not reentrant.

Version:
  1.7

Constructor Summary
`PointLocator()`
`PointLocator(BoundaryNodeRule boundaryRule)`

Method Summary
`boolean` | `intersects(Coordinate p, Geometry geom)` Convenience method to test a point for intersection with a Geometry
`int` | `locate(Coordinate p, Geometry geom)` Computes the topological relationship (`Location`) of a single point to a Geometry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PointLocator

    public PointLocator()

### PointLocator

    public PointLocator(BoundaryNodeRule boundaryRule)

Method Detail

### intersects

    public boolean intersects(Coordinate p,
                              Geometry geom)

  Convenience method to test a point for intersection with a Geometry

  Parameters:
    `p` - the coordinate to test
    `geom` - the Geometry to test
  Returns:
    `true` if the point is in the interior or boundary of the Geometry

### locate

    public int locate(Coordinate p,
                      Geometry geom)

  Computes the topological relationship (`Location`) of a single point to a Geometry. It handles both single-element and multi-element Geometries. The algorithm for multi-part Geometries takes into account the SFS Boundary Determination Rule.

  Returns:
    the `Location` of the point relative to the input Geometry

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD